package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridCompanyLandRemark;
import com.ruoyi.system.domain.grid.GridCompanyLandRemarkExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridCompanyLandRemarkMapper {
    long countByExample(GridCompanyLandRemarkExample example);

    int deleteByExample(GridCompanyLandRemarkExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridCompanyLandRemark record);

    int insertSelective(GridCompanyLandRemark record);

    List<GridCompanyLandRemark> selectByExample(GridCompanyLandRemarkExample example);

    GridCompanyLandRemark selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridCompanyLandRemark record, @Param("example") GridCompanyLandRemarkExample example);

    int updateByExample(@Param("record") GridCompanyLandRemark record, @Param("example") GridCompanyLandRemarkExample example);

    int updateByPrimaryKeySelective(GridCompanyLandRemark record);

    int updateByPrimaryKey(GridCompanyLandRemark record);
}